libinput-measure-touchpad-pressure(1)

NAME
libinput-measure-touchpad-pressure - measure pressure properties of devices

SYNOPSIS
libinput measure touchpad-pressure [--help] [options] [/dev/input/event0]

DESCRIPTION

The libinput measure touchpad-pressure tool measures the pressure of touches on a touchpad. This is an interactive tool. When executed, the tool will prompt the user to interact with the touchpad. On termination, the tool prints a summary of the pressure values seen. This data should be attached to any pressure-related bug report.

For a full description on how libinput's pressure-to-click behavior works, see the online documentation here: https://wayland.freedesktop.org/libinput/doc/latest/touchpad_pressure.html and https://wayland.freedesktop.org/libinput/doc/latest/palm_detection.html

This is a debugging tool only, its output may change at any time. Do not rely on the output.

This tool usually needs to be run as root to have access to the /dev/input/eventX nodes.

OPTIONS
If a device node is given, this tool opens that device node. Otherwise, this tool searches for the first node that looks like a touchpad and uses that node.

--help
    Print help

--touch-thresholds="down:up"
    Set the logical touch pressure thresholds to down and up, respectively. When a touch exceeds the pressure in down it is considered logically down. If a touch is logically down and goes below the pressure in up, it is considered logically up. The thresholds have to be in device-specific pressure values and it is required that down >= up.

--palm-threshold=N
    Assume a palm threshold of N. The threshold has to be in device-specific pressure values.

--thumb-threshold=N
    Assume a thumb threshold of N. The threshold has to be in device-specific pressure values.

If the touch-thresholds or the palm-threshold are not provided, this tool uses the thresholds provided by the device quirks (if any) or the built-in defaults.

LIBINPUT
Part of the libinput(1) suite